This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 205885 - Review Request: perl-CGI-Untaint-email - Validate an email address
Review Request: perl-CGI-Untaint-email - Validate an email address
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 205884
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-09 11:46 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 13:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-09-09 11:46:23 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/perl-CGI-Untaint-email.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-CGI-Untaint-email-0.03-1.src.rpm
Description: Validate an email address

New requirement for perl-Maypole. Depends on perl-Email-Valid (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205884).
Comment 1 Jason Tibbitts 2006-09-15 15:53:46 EDT
The only issue I see is that you have two manual Requires: that duplicate
unversioned requires that rpmbuild figures out on its own:
   perl(Email::Valid)
   perl(Email::Valid) >= 0.13
   perl(Mail::Address)
   perl(Mail::Address) >= 1.40

There's probably no point in the versioned Email::Valid require because it was
just added to the repo and so there's no older version that might be installed.
  I don't know about perl(Mail::Address); it looks like the 1.58 came out in
2003, so I think we're pretty much covered there as well.

I'd say just go ahead and remove the manual Requires: for those packages and
check in.  Or, if you really want, filter those two unversioned automatic
dependencies and check in.  It's up to you.

Review:
* source files match upstream:
   78bb576e038ece67d183d8c3b3ad2165  CGI-Untaint-email-0.03.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
X final provides and requires are sane:
   perl(CGI::Untaint::email) = 0.03
   perl(Mail::Address::overload)
   perl-CGI-Untaint-email = 0.03-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(CGI::Untaint) >= 0.07
X  perl(Email::Valid)
   perl(Email::Valid) >= 0.13
X  perl(Mail::Address)
   perl(Mail::Address) >= 1.40
   perl(base)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=4,  0 wallclock secs ( 0.06 cusr +  0.01 csys =  0.07 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, assuming you agree with me about the manual Requires: bits.
Comment 2 Tom "spot" Callaway 2006-09-21 13:39:55 EDT
Built.

Note You need to log in before you can comment on or make changes to this bug.